Run a read-only discovery query against an external data connection.
curl --request POST \
--url https://api.example.com/connections/{connection_id}/query/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"limit": 100,
"parameters": {}
}
'import requests
url = "https://api.example.com/connections/{connection_id}/query/"
payload = {
"query": "<string>",
"limit": 100,
"parameters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', limit: 100, parameters: {}})
};
fetch('https://api.example.com/connections/{connection_id}/query/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection": {
"name": "<string>",
"source": "salesforce",
"configuration": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"credential_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credential_secret_name": "<string>",
"discovery_metadata": {},
"status": "active",
"credential_secret_type": "<string>",
"last_discovered_at": "2023-11-07T05:31:56Z",
"last_sync_at": "2023-11-07T05:31:56Z",
"last_error": "<string>"
},
"columns": [
"<string>"
],
"rows": [
{}
],
"row_count": 123,
"truncated": true,
"operation": "query",
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}connections
Run a read-only discovery query against an external data connection.
POST
/
connections
/
{connection_id}
/
query
/
Run a read-only discovery query against an external data connection.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Discovery operation to run against the connection. Existing SQL callers can omit this when query is provided.
Available options:
query, schema, list, sample Minimum string length:
1Required range:
1 <= x <= 500Response
Successful Response